# **nowjs-messaging**

nowjs-messaging is a lightweight library for handle Line Of Business challenges.

### Compatible with ES7(ES2016) and later .

## Compiled and tested with Typescript 2.4.2 and Jest 20 .
 
 [![npm version](https://badge.fury.io/js/nowjs-messaging.svg)](https://www.npmjs.com/package/nowjs-messaging)
 [![Downloads](https://img.shields.io/npm/dm/nowjs-messaging.svg)](https://www.npmjs.com/package/nowjs-messaging)
 [![Gitter](https://badges.gitter.im/nowcando/nowjs-messaging.svg)](https://gitter.im/nowcando/nowjs-messaging?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge)
  CI-Master: [![Build Status](https://travis-ci.org/nowcando/nowjs-messaging.svg?branch=master)](https://travis-ci.org/nowcando/nowjs-messaging) , CI-Develop: [![Build Status](https://travis-ci.org/nowcando/nowjs-messaging.svg?branch=develop)](https://travis-ci.org/nowcando/nowjs-messaging)

 # Features

 - Messaging basic interfaces.
 - SmsClientProvider
 - EmailClientProvider

### Developed with love by [NowCanDo](http://www.nowcando.com)  .

### Notes for contributors

Please see [CONTRIBUTING](./CONTRIBUTING.md).

### Changes

See [CHANGELOG](./CHANGELOG.md)

### Releated Projects

- [nowjs-core](https://github.com/nowcando/nowjs-core).
- [nowjs-node-core](https://github.com/nowcando/nowjs-node-core).

### License   
This project maintains under Apache 2.0 licence , see [LICENSE](./LICENSE.md) 