"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("nowjs-core/lib/core");
exports.TYPE_SMS_CLIENT_PROVIDER = "SmsClientProvider";
class SmsClientProvider {
    static add(name, provider, isDefault, args) {
        core_1.ProviderManager.add(exports.TYPE_SMS_CLIENT_PROVIDER, name, provider, isDefault, args);
    }
    static clear() {
        core_1.ProviderManager.clear(exports.TYPE_SMS_CLIENT_PROVIDER);
    }
    static get(name) {
        const smsclient = core_1.ProviderManager.get(exports.TYPE_SMS_CLIENT_PROVIDER, name);
        return smsclient;
    }
    static remove(name) {
        return core_1.ProviderManager.remove(exports.TYPE_SMS_CLIENT_PROVIDER, name);
    }
}
exports.SmsClientProvider = SmsClientProvider;
